<h3 class="title has-text-centered">{{event.title}}</h3>

<div class="columns">
  <section class="column is-half">

    <!--user-->

    <div *ngIf="sessionUser.role == Role.USER">
      <div *ngFor="let userStatus of userStatusList">
        <div *ngIf="userStatus.event.id == event.id">
          <table class="table is-bordered" width="500">
            <tbody>
            <tr>
              <th>Date:</th>
              <td>{{event.date}}</td>
            </tr>

            <tr>
              <th>Time:</th>
              <td>{{event.time}}</td>
            </tr>

            <tr>
              <th>Location:</th>
              <td>{{event.location}}</td>
            </tr>

            <tr>
              <th>Your Status:</th>
              <td>{{ userStatus.attend }}</td>
            </tr>

            <tr>
              <th>Type:</th>
              <td>{{ event.type }}</td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>

      <div class="has-text-centered">

        <div *ngFor=" let userStat of userStatusList">
          <div *ngIf="userStat.event.id == event.id">

            <span *ngIf="userStat.attend == 'Attending' || userStat.attend == 'No status'">
              <button class="button" (click)="declineEvent()">Declining</button>
            </span>

            <span *ngIf="userStat.attend == 'Declined' || userStat.attend == 'No status'">
              <button class="button" (click)="attendEvent()">Attending</button>
            </span>
          </div>
        </div>
      </div>
    </div>

    <!--admin -->

    <div *ngIf="sessionUser.role == Role.ADMIN">
      <a [routerLink]="['./updateEvent']" id="updateLink">Update Event</a>
      <table class="table is-bordered" width="500">
        <tbody>
        <tr>
          <th>Date:</th>
          <td>{{event.date}}</td>
        </tr>

        <tr>
          <th>Time:</th>
          <td>{{event.time}}</td>
        </tr>

        <tr>
          <th>Location:</th>
          <td>{{event.location}}</td>
        </tr>

        <tr>
          <th>Type:</th>
          <td>{{ event.type }}</td>
        </tr>
        </tbody>
      </table>

      <router-outlet></router-outlet>

      <h2 class="subtitle has-text-centered">List of Participants:</h2>
      <table class="table is-bordered" width="500">
        <thead>
        <tr>
          <th>Username</th>
          <th>Status</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let participant of participantList">
          <td>{{ participant.userEntity.username }}</td>
          <td>{{ participant.attend }}</td>
        </tr>
        </tbody>
      </table>
    </div>

  </section>

  <!--map-->

  <section class="column is-half">

    <div *ngIf="event.location == 'Allianz Arena'">
      <agm-map [zoom]="15" [latitude]="48.218950" [longitude]="11.624729">
        <agm-marker [latitude]="48.218950" [longitude]="11.624729"></agm-marker>
      </agm-map>
    </div>

    <div *ngIf="event.location == 'Training Grounds'">
      <agm-map [zoom]="15" [latitude]="48.265201" [longitude]="11.668944">
        <agm-marker [latitude]="48.265201" [longitude]="11.668944"></agm-marker>
      </agm-map>
    </div>

    <div *ngIf="((event.location !== ('Allianz Arena')) &&  (event.location !== ('Training Grounds')))">
      <agm-map [zoom]="15" [latitude]="53.555258" [longitude]="9.967376">
        <agm-marker [latitude]="53.555258" [longitude]="9.967376"></agm-marker>
      </agm-map>
    </div>

    <!--attendee counter for admin-->

    <div class="has-text-centered" *ngIf="sessionUser.role == Role.ADMIN" id="counter">
      <table class="table is-bordered" width="400">
        <tbody>
        <tr>
          <th>Attending:</th>
          <td>{{counterA}}</td>
        </tr>

        <tr>
          <th>Declined:</th>
          <td>{{counterB}}</td>
        </tr>

        <tr>
          <th>No Status:</th>
          <td>{{ counterC}}</td>
        </tr>
        </tbody>
      </table>
      <button class="button" (click)="viewParticipants()">Update Counter</button>
    </div>
  </section>

</div>
